[lkml]   [2004]   [Dec]   [22]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    SubjectRe: [linux-usb-devel] Re: RFC: [2.6 patch] let BLK_DEV_UB depend on EMBEDDED
    Pete Zaitcev <> writes:

    > Is it that bad, really? Honestly, I could not imagine users can be
    > so dumb. The option defaults to off. There is a warning in the
    > Kconfig. And yet they first enable it and then complain about it. I
    > don't know what to do about it, either.

    Well, I presume you know this, but at least in 2.6.9, there's no
    warning. When I read it, it said:


    This driver supports certain USB attached storage devices
    such as flash keys.

    If unsure, say N.

    which sounded potentially useful, and certainly didn't give the
    impression that the driver was likely to perform terribly in common
    cases (i.e. when using an external drive).

    The sample Kconfig warnings I saw posted later in this thread would
    certainly have given enough information to know to avoid the driver,
    though if true, this might be even clearer:

    Note: this driver does not coexist well with usb-storage, and
    usb-storage is is often the best driver for common devices like
    external drive enclosures. At the moment, usb-storage may peform
    dramatically better for those devices.

    If you're not certain you need this driver, you should probably
    say 'N' here, and choose usb-storage instead.

    Rob Browning
    rlb and; previously
    GPG starting 2002-11-03 = 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4
    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to
    More majordomo info at
    Please read the FAQ at

     \ /
      Last update: 2005-03-22 14:08    [W:0.024 / U:2.588 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site